{
 "openapi": "3.1.0",
 "info": {
  "title": "MarketCheck Automotive Data API",
  "version": "2.0.0-20260903",
  "x-docs-sha": "d3b34de4596e4cc3ef589bf48fb9ca7f957900f5",
  "description": "North American and UK automotive market data: live and historical vehicle listings, dealers, VIN decode, vehicle history, and price prediction.\n\nAuthentication: every request takes `api_key=YOUR_API_KEY` as a QUERY PARAMETER (not a header). Get a key at https://developers.marketcheck.com.\n\nQuickstart: `curl \"https://api.marketcheck.com/v2/search/car/active?api_key=YOUR_API_KEY&make=Toyota&model=Camry&zip=30301&radius=50\"`\n\nRate limits: Free 500 calls/month at 5 rps; Basic 5,000/month at 5 rps; Standard pay-as-you-go at 40 rps; Enterprise custom. 429 responses carry Retry-After and RateLimit-*/Quota-* headers; the server timeout is 120 seconds.\n\nPagination: `start` + `rows` (rows max 50). Paging past your plan's deep-pagination limit returns HTTP 422; treat that as the end of results, not a retryable error.\n\nMore for AI coding assistants: https://developers.marketcheck.com/AGENTS.md (conventions file), https://developers.marketcheck.com/api/docs-mcp (docs MCP server), https://docs.marketcheck.com/llms.txt (docs index).",
  "contact": {
   "name": "MarketCheck",
   "url": "https://developers.marketcheck.com",
   "email": "api@marketcheck.com"
  },
  "x-marketcheck-rate-limits": {
   "free": {
    "calls_per_month": 500,
    "rps": 5
   },
   "basic": {
    "calls_per_month": 5000,
    "rps": 5
   },
   "standard": {
    "quota": "pay-as-you-go",
    "rps": 40
   },
   "enterprise": "custom",
   "timeout_seconds": 120
  }
 },
 "externalDocs": {
  "description": "Full documentation",
  "url": "https://docs.marketcheck.com"
 },
 "servers": [
  {
   "url": "https://api.marketcheck.com/v2"
  }
 ],
 "security": [
  {
   "api_key": []
  }
 ],
 "tags": [
  {
   "name": "Cars / Dealership Syndication"
  },
  {
   "name": "Cars / Dealerships"
  },
  {
   "name": "Cars / Incentives"
  },
  {
   "name": "Cars / Inventory"
  },
  {
   "name": "Cars / Market Insights"
  },
  {
   "name": "Cars / Third Party"
  },
  {
   "name": "Cars / Vehicle History"
  },
  {
   "name": "Cars / Vehicle Listing"
  },
  {
   "name": "Cars / Vehicle Specs"
  },
  {
   "name": "Heavy Equipments / Dealerships"
  },
  {
   "name": "Heavy Equipments / Inventory"
  },
  {
   "name": "Heavy Equipments / Vehicle Listing"
  },
  {
   "name": "Motorcycles / Dealerships"
  },
  {
   "name": "Motorcycles / Inventory"
  },
  {
   "name": "Motorcycles / Vehicle Listing"
  },
  {
   "name": "Recreational Vehicles / Dealerships"
  },
  {
   "name": "Recreational Vehicles / Inventory"
  },
  {
   "name": "Recreational Vehicles / Vehicle Listing"
  },
  {
   "name": "UK Cars / Dealerships"
  },
  {
   "name": "UK Cars / Inventory"
  },
  {
   "name": "UK Cars / Market Insights"
  },
  {
   "name": "UK Cars / Vehicle History"
  },
  {
   "name": "UK Cars / Vehicle Listing"
  },
  {
   "name": "UK Recreational Vehicles / Inventory"
  },
  {
   "name": "UK Recreational Vehicles / Vehicle Listing"
  }
 ],
 "paths": {
  "/batch/marketmatch/rank/jobs": {
   "get": {
    "operationId": "batchMarketmatchRankJobs",
    "summary": "MarketMatch: List Jobs",
    "tags": [
     "Cars / Market Insights"
    ],
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/docs/api/cars/market-insights/marketmatch"
    },
    "parameters": [
     {
      "$ref": "#/components/parameters/country"
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {}
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   },
   "post": {
    "operationId": "postBatchMarketmatchRankJobs",
    "summary": "MarketMatch: Submit Job",
    "tags": [
     "Cars / Market Insights"
    ],
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/docs/api/cars/market-insights/marketmatch"
    },
    "parameters": [
     {
      "$ref": "#/components/parameters/country"
     }
    ],
    "requestBody": {
     "required": true,
     "content": {
      "application/json": {
       "example": {
        "mimeType": "multipart/form-data",
        "params": [
         {
          "name": "file",
          "fileName": "vehicles.csv.gz",
          "contentType": "application/gzip"
         },
         {
          "name": "client_reference",
          "value": "ranking-batch-2026-04"
         }
        ]
       }
      }
     }
    },
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {}
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/batch/marketmatch/rank/jobs/{job_id}": {
   "get": {
    "operationId": "batchMarketmatchRankJobsJobId",
    "summary": "MarketMatch: Get Job Status",
    "tags": [
     "Cars / Market Insights"
    ],
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/docs/api/cars/market-insights/marketmatch"
    },
    "parameters": [
     {
      "name": "job_id",
      "in": "path",
      "required": true,
      "schema": {
       "type": "string"
      }
     },
     {
      "$ref": "#/components/parameters/country"
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {}
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "404": {
      "$ref": "#/components/responses/Error404"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/batch/marketmatch/rank/jobs/{job_id}/download": {
   "post": {
    "operationId": "postBatchMarketmatchRankJobsJobIdDownload",
    "summary": "MarketMatch: Download Results",
    "tags": [
     "Cars / Market Insights"
    ],
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/docs/api/cars/market-insights/marketmatch"
    },
    "parameters": [
     {
      "name": "job_id",
      "in": "path",
      "required": true,
      "schema": {
       "type": "string"
      }
     },
     {
      "$ref": "#/components/parameters/country"
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {}
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "404": {
      "$ref": "#/components/responses/Error404"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/batch/neovin/decode/jobs": {
   "get": {
    "operationId": "batchNeovinDecodeJobs",
    "summary": "NeoVIN Decoder: List Jobs",
    "tags": [
     "Cars / Vehicle Specs"
    ],
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/docs/api/cars/vehicle-specs/neovin"
    },
    "parameters": [
     {
      "$ref": "#/components/parameters/include_generic"
     },
     {
      "$ref": "#/components/parameters/include_available_options"
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {}
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   },
   "post": {
    "operationId": "postBatchNeovinDecodeJobs",
    "summary": "NeoVIN Decoder: Submit Job",
    "tags": [
     "Cars / Vehicle Specs"
    ],
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/docs/api/cars/vehicle-specs/neovin"
    },
    "parameters": [
     {
      "$ref": "#/components/parameters/include_generic"
     },
     {
      "$ref": "#/components/parameters/include_available_options"
     }
    ],
    "requestBody": {
     "required": true,
     "content": {
      "application/json": {
       "example": {
        "mimeType": "multipart/form-data",
        "params": [
         {
          "name": "file",
          "fileName": "vins.csv",
          "contentType": "text/csv"
         },
         {
          "name": "client_reference",
          "value": "my-batch-2026-03-15"
         }
        ]
       }
      }
     }
    },
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {}
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/batch/neovin/decode/jobs/{job_id}": {
   "get": {
    "operationId": "batchNeovinDecodeJobsJobId",
    "summary": "NeoVIN Decoder: Get Job Status",
    "tags": [
     "Cars / Vehicle Specs"
    ],
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/docs/api/cars/vehicle-specs/neovin"
    },
    "parameters": [
     {
      "name": "job_id",
      "in": "path",
      "required": true,
      "schema": {
       "type": "string"
      }
     },
     {
      "$ref": "#/components/parameters/include_generic"
     },
     {
      "$ref": "#/components/parameters/include_available_options"
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {}
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "404": {
      "$ref": "#/components/responses/Error404"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/batch/neovin/decode/jobs/{job_id}/download": {
   "post": {
    "operationId": "postBatchNeovinDecodeJobsJobIdDownload",
    "summary": "NeoVIN Decoder: Download Results",
    "tags": [
     "Cars / Vehicle Specs"
    ],
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/docs/api/cars/vehicle-specs/neovin"
    },
    "parameters": [
     {
      "name": "job_id",
      "in": "path",
      "required": true,
      "schema": {
       "type": "string"
      }
     },
     {
      "$ref": "#/components/parameters/include_generic"
     },
     {
      "$ref": "#/components/parameters/include_available_options"
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {}
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "404": {
      "$ref": "#/components/responses/Error404"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/car/autorecalls/{vin}": {
   "get": {
    "operationId": "carAutorecallsVin",
    "summary": "AutoRecalls",
    "tags": [
     "Cars / Third Party"
    ],
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/docs/api/cars/third-party/autorecalls"
    },
    "parameters": [
     {
      "name": "vin",
      "in": "path",
      "required": true,
      "schema": {
       "type": "string"
      }
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {}
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "404": {
      "$ref": "#/components/responses/Error404"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/carsxe/plate-decoder/{plate}": {
   "get": {
    "operationId": "carsxePlateDecoderPlate",
    "summary": "CarsXE Vehicle Plate Decoder",
    "tags": [
     "Cars / Third Party"
    ],
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/docs/api/cars/third-party/carsxe"
    },
    "parameters": [
     {
      "name": "plate",
      "in": "path",
      "required": true,
      "schema": {
       "type": "string"
      }
     },
     {
      "$ref": "#/components/parameters/country_v2"
     },
     {
      "$ref": "#/components/parameters/state"
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {
        "example": {
         "navigation": false,
         "response": {
          "success": true,
          "input": {
           "plate": "7XER187",
           "state": "CA",
           "country": "US"
          },
          "description": "Kia Forte LX",
          "make": "Kia",
          "model": "Forte",
          "trim": "LX",
          "vin": "3KPFK4A78HE103497",
          "style": "Sedan 4D",
          "year": "2017",
          "registration_year": "2017",
          "engine_size": "2.0L I4 MPI",
          "assembly": "Mexico",
          "fuel_type": "Gasoline",
          "color": "White",
          "body_style": "Sedan",
          "engine": "2.0L I4 MPI",
          "drive_type": "FWD",
          "transmission": "Automatic"
         }
        }
       }
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "404": {
      "$ref": "#/components/responses/Error404"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/dealer/car/{dealer_id}": {
   "get": {
    "operationId": "dealerCarDealerId",
    "summary": "Dealer Details",
    "tags": [
     "Cars / Dealerships"
    ],
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/docs/api/cars/dealerships/dealer-details"
    },
    "parameters": [
     {
      "name": "dealer_id",
      "in": "path",
      "required": true,
      "schema": {
       "type": "string"
      }
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {
        "example": {
         "navigation": false,
         "response": {
          "id": "10010052",
          "seller_name": "Carmax",
          "inventory_url": "carmax.com",
          "data_source": "mc",
          "status": "active",
          "listing_count": 84645,
          "dealer_type": "independent",
          "dealership_group_name": "Carmax",
          "street": "9131 South Memorial Drive",
          "city": "Saint Peters",
          "state": "OK",
          "country": "US",
          "zip": "74133",
          "latitude": "36.030444",
          "longitude": "-95.883741",
          "seller_phone": "122-220-0012",
          "created_at": "2020-04-13T13:37:06.000Z"
         }
        }
       }
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "404": {
      "$ref": "#/components/responses/Error404"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/dealer/car/uk/{dealer_id}": {
   "get": {
    "operationId": "dealerCarUkDealerId",
    "summary": "Dealer Details",
    "tags": [
     "UK Cars / Dealerships"
    ],
    "x-region": "uk",
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/uk/docs/api/cars/dealerships/dealer-details"
    },
    "parameters": [
     {
      "name": "dealer_id",
      "in": "path",
      "required": true,
      "schema": {
       "type": "string"
      }
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {
        "example": {
         "navigation": false,
         "response": {
          "id": "10030188",
          "seller_name": "Marshall Motor Group",
          "inventory_url": "marshall.co.uk",
          "data_source": "mc",
          "status": "active",
          "listing_count": 7116,
          "dealer_type": "franchise",
          "dealership_group_name": "Constellation Automotive Holdings Limited",
          "fca_status": "Authorised",
          "fca_reference_no": "310503",
          "street": "Greyfriars Court",
          "city": "Milton Keynes",
          "country": "England",
          "county": "Buckinghamshire",
          "zip": "MK10 0BN",
          "postal_code": "MK10 0BN",
          "latitude": "52.039351",
          "longitude": "-0.692101",
          "seller_phone": "02392 656565",
          "created_at": "2021-04-09T08:55:49.000Z"
         }
        }
       }
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "404": {
      "$ref": "#/components/responses/Error404"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/dealer/heavy-equipment/{dealer_id}": {
   "get": {
    "operationId": "dealerHeavyEquipmentDealerId",
    "summary": "Dealer Details",
    "tags": [
     "Heavy Equipments / Dealerships"
    ],
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/docs/api/heavy-equipments/dealerships/dealer-details"
    },
    "parameters": [
     {
      "name": "dealer_id",
      "in": "path",
      "required": true,
      "schema": {
       "type": "string"
      }
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {
        "example": {
         "navigation": false,
         "response": {
          "id": "10860",
          "seller_name": "Best Choice Trailers",
          "inventory_url": "bestchoicetrailers.com",
          "data_source": "mc",
          "status": "active",
          "listing_count": 2444,
          "dealer_type": "franchise",
          "street": "1449 Arona Road",
          "city": "Irwin",
          "state": "PA",
          "country": "US",
          "zip": "15642",
          "latitude": "40.32451",
          "longitude": "-79.70115",
          "created_at": "2019-04-05T09:34:52.000Z"
         }
        }
       }
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "404": {
      "$ref": "#/components/responses/Error404"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/dealer/motorcycle/{dealer_id}": {
   "get": {
    "operationId": "dealerMotorcycleDealerId",
    "summary": "Dealer Details",
    "tags": [
     "Motorcycles / Dealerships"
    ],
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/docs/api/motorcycles/dealerships/dealer-details"
    },
    "parameters": [
     {
      "name": "dealer_id",
      "in": "path",
      "required": true,
      "schema": {
       "type": "string"
      }
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {
        "example": {
         "navigation": false,
         "response": {
          "id": "3377",
          "seller_name": "Free Ride Powersports",
          "inventory_url": "freeridepowersports.com",
          "data_source": "mc",
          "status": "active",
          "listing_count": 174,
          "dealer_type": "franchise",
          "street": "4405 Jackson Road Rd",
          "city": "Ann Arbor",
          "state": "MI",
          "country": "US",
          "zip": "48103",
          "latitude": "42.266638",
          "longitude": "-83.849042",
          "seller_phone": "734-585-3300",
          "created_at": "2019-03-13T05:10:44.000Z"
         }
        }
       }
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "404": {
      "$ref": "#/components/responses/Error404"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/dealer/rv/{dealer_id}": {
   "get": {
    "operationId": "dealerRvDealerId",
    "summary": "Dealer Details",
    "tags": [
     "Recreational Vehicles / Dealerships"
    ],
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/docs/api/recreational-vehicles/dealerships/dealer-details"
    },
    "parameters": [
     {
      "name": "dealer_id",
      "in": "path",
      "required": true,
      "schema": {
       "type": "string"
      }
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {
        "example": {
         "navigation": false,
         "response": {
          "id": "6490",
          "seller_name": "Mike Thompsons Rv Super Stores Rv Super Store",
          "inventory_url": "mikethompson.com",
          "data_source": "mc",
          "status": "active",
          "listing_count": 669,
          "dealer_type": "franchise",
          "street": "13940 Firestone Blvd",
          "city": "Santa Fe Springs",
          "state": "CA",
          "country": "US",
          "zip": "90670",
          "latitude": "33.886428",
          "longitude": "-118.034877",
          "seller_phone": "213-493-5445"
         }
        }
       }
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "404": {
      "$ref": "#/components/responses/Error404"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/dealers/car": {
   "get": {
    "operationId": "dealersCar",
    "summary": "Dealers Search",
    "tags": [
     "Cars / Dealerships"
    ],
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/docs/api/cars/dealerships/dealers-search"
    },
    "parameters": [
     {
      "$ref": "#/components/parameters/city"
     },
     {
      "$ref": "#/components/parameters/created_at_days"
     },
     {
      "$ref": "#/components/parameters/created_at_range"
     },
     {
      "$ref": "#/components/parameters/dealer_type"
     },
     {
      "$ref": "#/components/parameters/facets"
     },
     {
      "$ref": "#/components/parameters/inventory_url"
     },
     {
      "$ref": "#/components/parameters/latitude"
     },
     {
      "$ref": "#/components/parameters/listing_count_range"
     },
     {
      "$ref": "#/components/parameters/longitude"
     },
     {
      "$ref": "#/components/parameters/country_v3"
     },
     {
      "$ref": "#/components/parameters/msa_code"
     },
     {
      "$ref": "#/components/parameters/radius"
     },
     {
      "$ref": "#/components/parameters/range_facets"
     },
     {
      "$ref": "#/components/parameters/rows"
     },
     {
      "$ref": "#/components/parameters/sort_by"
     },
     {
      "$ref": "#/components/parameters/sort_order"
     },
     {
      "$ref": "#/components/parameters/start"
     },
     {
      "$ref": "#/components/parameters/state_v2"
     },
     {
      "$ref": "#/components/parameters/zip"
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {
        "example": {
         "navigation": false,
         "response": {
          "num_found": 1,
          "dealers": [
           {
            "id": "10010052",
            "seller_name": "Carmax",
            "inventory_url": "carmax.com",
            "data_source": "mc",
            "status": "active",
            "listing_count": 84645,
            "dealer_type": "independent",
            "dealership_group_name": "Carmax",
            "street": "9131 South Memorial Drive",
            "city": "Saint Peters",
            "state": "OK",
            "country": "US",
            "zip": "74133",
            "latitude": "36.030444",
            "longitude": "-95.883741",
            "seller_phone": "122-220-0012",
            "created_at": "2020-04-13T13:37:06.000Z"
           }
          ]
         }
        }
       }
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/dealers/car/uk": {
   "get": {
    "operationId": "dealersCarUk",
    "summary": "Dealers Search",
    "tags": [
     "UK Cars / Dealerships"
    ],
    "x-region": "uk",
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/uk/docs/api/cars/dealerships/dealers-search"
    },
    "parameters": [
     {
      "$ref": "#/components/parameters/city_v2"
     },
     {
      "$ref": "#/components/parameters/county"
     },
     {
      "$ref": "#/components/parameters/uk_dealer_country"
     },
     {
      "$ref": "#/components/parameters/created_at_days"
     },
     {
      "$ref": "#/components/parameters/created_at_range"
     },
     {
      "$ref": "#/components/parameters/dealer_type"
     },
     {
      "$ref": "#/components/parameters/facets"
     },
     {
      "$ref": "#/components/parameters/fca_status"
     },
     {
      "$ref": "#/components/parameters/inventory_url"
     },
     {
      "$ref": "#/components/parameters/latitude"
     },
     {
      "$ref": "#/components/parameters/listing_count_range"
     },
     {
      "$ref": "#/components/parameters/longitude"
     },
     {
      "$ref": "#/components/parameters/postal_code"
     },
     {
      "$ref": "#/components/parameters/radius"
     },
     {
      "$ref": "#/components/parameters/range_facets"
     },
     {
      "$ref": "#/components/parameters/rows"
     },
     {
      "$ref": "#/components/parameters/sort_by"
     },
     {
      "$ref": "#/components/parameters/sort_order"
     },
     {
      "$ref": "#/components/parameters/start"
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {
        "example": {
         "navigation": false,
         "response": {
          "num_found": 111,
          "dealers": [
           {
            "id": "10021775",
            "seller_name": "Mayfair Prestige",
            "inventory_url": "mayfairprestigeuk.co.uk",
            "data_source": "mc",
            "status": "active",
            "listing_count": 14,
            "dealer_type": "independent",
            "fca_status": "Authorised",
            "fca_reference_no": "624168",
            "street": "91 Crawford Street",
            "city": "London",
            "country": "England",
            "county": "Greater London",
            "zip": "W1H 2HD",
            "postal_code": "W1H 2HD",
            "latitude": "51.519226",
            "longitude": "-0.162144",
            "seller_phone": "02077 232860",
            "seller_email": "info@mayfairprestigeuk.co.uk",
            "created_at": "2021-02-12T11:34:29.000Z"
           },
           {
            "id": "10021890",
            "seller_name": "Automotive Direct Ltd",
            "inventory_url": "automotivedirectltd.co.uk",
            "data_source": "mc",
            "status": "active",
            "listing_count": 29,
            "dealer_type": "independent",
            "fca_status": "Authorised",
            "fca_reference_no": "782376",
            "street": "377 North Circular Road",
            "city": "London",
            "country": "England",
            "county": "Greater London",
            "zip": "N13 5UU",
            "postal_code": "N13 5UU",
            "latitude": "51.612789",
            "longitude": "-0.107614",
            "seller_phone": "07542 626164",
            "seller_email": "automotivedirectltd@gmail.com",
            "created_at": "2021-02-12T11:44:43.000Z"
           }
          ]
         }
        }
       }
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/dealers/heavy-equipment": {
   "get": {
    "operationId": "dealersHeavyEquipment",
    "summary": "Dealers Search",
    "tags": [
     "Heavy Equipments / Dealerships"
    ],
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/docs/api/heavy-equipments/dealerships/dealers-search"
    },
    "parameters": [
     {
      "$ref": "#/components/parameters/city"
     },
     {
      "$ref": "#/components/parameters/created_at_days"
     },
     {
      "$ref": "#/components/parameters/created_at_range"
     },
     {
      "$ref": "#/components/parameters/dealer_type"
     },
     {
      "$ref": "#/components/parameters/facets"
     },
     {
      "$ref": "#/components/parameters/inventory_url"
     },
     {
      "$ref": "#/components/parameters/latitude"
     },
     {
      "$ref": "#/components/parameters/listing_count_range"
     },
     {
      "$ref": "#/components/parameters/longitude"
     },
     {
      "$ref": "#/components/parameters/msa_code"
     },
     {
      "$ref": "#/components/parameters/radius"
     },
     {
      "$ref": "#/components/parameters/range_facets"
     },
     {
      "$ref": "#/components/parameters/rows_v2"
     },
     {
      "$ref": "#/components/parameters/sort_by"
     },
     {
      "$ref": "#/components/parameters/sort_order"
     },
     {
      "$ref": "#/components/parameters/start"
     },
     {
      "$ref": "#/components/parameters/state_v2"
     },
     {
      "$ref": "#/components/parameters/zip"
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {
        "example": {
         "navigation": false,
         "response": {
          "num_found": 1,
          "dealers": [
           {
            "id": "11681",
            "seller_name": "Lauf Equipment",
            "inventory_url": "laufequipment.com",
            "data_source": "mc",
            "status": "active",
            "listing_count": 99,
            "dealer_type": "franchise",
            "street": "541 Mo94",
            "city": "Jefferson City",
            "state": "MO",
            "country": "US",
            "zip": "65101",
            "latitude": "38.494029",
            "longitude": "-92.165194",
            "seller_phone": "573-635-6836",
            "created_at": "2019-04-05T09:36:43.000Z"
           }
          ]
         }
        }
       }
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/dealers/motorcycle": {
   "get": {
    "operationId": "dealersMotorcycle",
    "summary": "Dealers Search",
    "tags": [
     "Motorcycles / Dealerships"
    ],
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/docs/api/motorcycles/dealerships/dealers-search"
    },
    "parameters": [
     {
      "$ref": "#/components/parameters/city"
     },
     {
      "$ref": "#/components/parameters/created_at_days"
     },
     {
      "$ref": "#/components/parameters/created_at_range"
     },
     {
      "$ref": "#/components/parameters/dealer_type"
     },
     {
      "$ref": "#/components/parameters/facets"
     },
     {
      "$ref": "#/components/parameters/inventory_url"
     },
     {
      "$ref": "#/components/parameters/latitude"
     },
     {
      "$ref": "#/components/parameters/listing_count_range"
     },
     {
      "$ref": "#/components/parameters/longitude"
     },
     {
      "$ref": "#/components/parameters/country_v3"
     },
     {
      "$ref": "#/components/parameters/msa_code"
     },
     {
      "$ref": "#/components/parameters/radius"
     },
     {
      "$ref": "#/components/parameters/range_facets"
     },
     {
      "$ref": "#/components/parameters/rows_v2"
     },
     {
      "$ref": "#/components/parameters/sort_by"
     },
     {
      "$ref": "#/components/parameters/sort_order"
     },
     {
      "$ref": "#/components/parameters/start"
     },
     {
      "$ref": "#/components/parameters/state_v2"
     },
     {
      "$ref": "#/components/parameters/zip"
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {
        "example": {
         "navigation": false,
         "response": {
          "num_found": 1,
          "dealers": [
           {
            "id": "10001194",
            "seller_name": "Halls Motorsports Emerald Coasts Motorsports Emerald Coast",
            "inventory_url": "hallsflorida.com",
            "data_source": "mc",
            "status": "active",
            "listing_count": 99,
            "dealer_type": "franchise",
            "street": "655 W. James Lee Blvd",
            "city": "Crestview",
            "state": "FL",
            "country": "US",
            "zip": "32536",
            "latitude": "30.764425",
            "longitude": "-86.587619",
            "seller_phone": "850-398-6028",
            "created_at": "2019-12-09T14:00:05.000Z"
           }
          ]
         }
        }
       }
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/dealers/rv": {
   "get": {
    "operationId": "dealersRv",
    "summary": "Dealers Search",
    "tags": [
     "Recreational Vehicles / Dealerships"
    ],
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/docs/api/recreational-vehicles/dealerships/dealers-search"
    },
    "parameters": [
     {
      "$ref": "#/components/parameters/city"
     },
     {
      "$ref": "#/components/parameters/created_at_days"
     },
     {
      "$ref": "#/components/parameters/created_at_range"
     },
     {
      "$ref": "#/components/parameters/dealer_type"
     },
     {
      "$ref": "#/components/parameters/facets"
     },
     {
      "$ref": "#/components/parameters/inventory_url"
     },
     {
      "$ref": "#/components/parameters/latitude"
     },
     {
      "$ref": "#/components/parameters/listing_count_range"
     },
     {
      "$ref": "#/components/parameters/longitude"
     },
     {
      "$ref": "#/components/parameters/msa_code"
     },
     {
      "$ref": "#/components/parameters/radius"
     },
     {
      "$ref": "#/components/parameters/range_facets"
     },
     {
      "$ref": "#/components/parameters/rows"
     },
     {
      "$ref": "#/components/parameters/sort_by"
     },
     {
      "$ref": "#/components/parameters/sort_order"
     },
     {
      "$ref": "#/components/parameters/start"
     },
     {
      "$ref": "#/components/parameters/state_v2"
     },
     {
      "$ref": "#/components/parameters/zip"
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {
        "example": {
         "navigation": false,
         "response": {
          "num_found": 1,
          "dealers": [
           {
            "id": "10000004",
            "seller_name": "Dad& 39 S Camper Outlet Gulfport",
            "inventory_url": "dadscamperoutlet.com",
            "data_source": "mc",
            "status": "active",
            "listing_count": 426,
            "dealer_type": "franchise",
            "street": "14101 Hwy 49",
            "city": "Gulfport",
            "state": "MS",
            "country": "US",
            "zip": "39503",
            "latitude": "30.488597",
            "longitude": "-89.105177",
            "seller_phone": "228-206-0282",
            "created_at": "2019-05-30T09:25:26.000Z"
           }
          ]
         }
        }
       }
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/dealerships/car": {
   "get": {
    "operationId": "dealershipsCar",
    "summary": "Dealerships Search",
    "tags": [
     "Cars / Dealerships"
    ],
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/docs/api/cars/dealerships/dealerships"
    },
    "parameters": [
     {
      "$ref": "#/components/parameters/city"
     },
     {
      "$ref": "#/components/parameters/country_v3"
     },
     {
      "$ref": "#/components/parameters/created_at_days"
     },
     {
      "$ref": "#/components/parameters/created_at_range"
     },
     {
      "$ref": "#/components/parameters/dealer_type"
     },
     {
      "$ref": "#/components/parameters/facets"
     },
     {
      "$ref": "#/components/parameters/inventory_url"
     },
     {
      "$ref": "#/components/parameters/latitude"
     },
     {
      "$ref": "#/components/parameters/longitude"
     },
     {
      "$ref": "#/components/parameters/mc_category"
     },
     {
      "$ref": "#/components/parameters/mc_dealer_id"
     },
     {
      "$ref": "#/components/parameters/mc_dealership_group_id"
     },
     {
      "$ref": "#/components/parameters/mc_dealership_group_name"
     },
     {
      "$ref": "#/components/parameters/mc_location_id"
     },
     {
      "$ref": "#/components/parameters/mc_rooftop_id"
     },
     {
      "$ref": "#/components/parameters/mc_sub_dealership_group_id"
     },
     {
      "$ref": "#/components/parameters/mc_sub_dealership_group_name"
     },
     {
      "$ref": "#/components/parameters/mc_website_id"
     },
     {
      "$ref": "#/components/parameters/msa_code"
     },
     {
      "$ref": "#/components/parameters/radius"
     },
     {
      "$ref": "#/components/parameters/range_facets"
     },
     {
      "$ref": "#/components/parameters/rows"
     },
     {
      "$ref": "#/components/parameters/sort_by"
     },
     {
      "$ref": "#/components/parameters/sort_order"
     },
     {
      "$ref": "#/components/parameters/start"
     },
     {
      "$ref": "#/components/parameters/state_v2"
     },
     {
      "$ref": "#/components/parameters/zip"
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {
        "example": {
         "navigation": false,
         "response": {
          "num_found": 85934,
          "mc_dealerships": [
           {
            "mc_website_id": "4480",
            "mc_dealer_id": "1094053",
            "mc_location_id": "1485834",
            "mc_rooftop_id": "249314",
            "mc_category": "Dealer",
            "seller_name": "atlas auto sales",
            "inventory_url": "atlasautosales.com",
            "status": "active",
            "dealer_type": "independent",
            "street": "3715 Reynolda Road",
            "city": "Winston-Salem",
            "state": "NC",
            "country": "US",
            "zip": "27106",
            "latitude": "36.160235",
            "longitude": "-80.321463",
            "seller_phone": "336-924-8995"
           },
           {
            "mc_website_id": "14750",
            "mc_dealer_id": "1160029",
            "mc_location_id": "1409122",
            "mc_rooftop_id": "1016933",
            "mc_category": "Dealer",
            "seller_name": "elk grove auto mall",
            "inventory_url": "elkgroveautomall.com",
            "status": "active",
            "dealer_type": "franchise",
            "street": "8550 Laguna Grove Drive",
            "city": "Elk Grove",
            "state": "CA",
            "country": "US",
            "zip": "95757",
            "latitude": "38.405745",
            "longitude": "-121.388206",
            "seller_phone": "877-707-7764"
           }
          ]
         }
        }
       }
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/dealerships/car/uk": {
   "get": {
    "operationId": "dealershipsCarUk",
    "summary": "Dealerships Search",
    "tags": [
     "UK Cars / Dealerships"
    ],
    "x-region": "uk",
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/uk/docs/api/cars/dealerships/dealerships"
    },
    "parameters": [
     {
      "$ref": "#/components/parameters/city_v2"
     },
     {
      "$ref": "#/components/parameters/uk_dealer_country"
     },
     {
      "$ref": "#/components/parameters/county"
     },
     {
      "$ref": "#/components/parameters/created_at_days"
     },
     {
      "$ref": "#/components/parameters/created_at_range"
     },
     {
      "$ref": "#/components/parameters/dealer_type"
     },
     {
      "$ref": "#/components/parameters/facets"
     },
     {
      "$ref": "#/components/parameters/fca_status"
     },
     {
      "$ref": "#/components/parameters/inventory_url"
     },
     {
      "$ref": "#/components/parameters/latitude"
     },
     {
      "$ref": "#/components/parameters/longitude"
     },
     {
      "$ref": "#/components/parameters/mc_category"
     },
     {
      "$ref": "#/components/parameters/mc_dealer_id"
     },
     {
      "$ref": "#/components/parameters/mc_dealership_group_id"
     },
     {
      "$ref": "#/components/parameters/mc_dealership_group_name"
     },
     {
      "$ref": "#/components/parameters/mc_location_id"
     },
     {
      "$ref": "#/components/parameters/mc_rooftop_id"
     },
     {
      "$ref": "#/components/parameters/mc_sub_dealership_group_id"
     },
     {
      "$ref": "#/components/parameters/mc_sub_dealership_group_name"
     },
     {
      "$ref": "#/components/parameters/mc_website_id"
     },
     {
      "$ref": "#/components/parameters/postal_code"
     },
     {
      "$ref": "#/components/parameters/radius"
     },
     {
      "$ref": "#/components/parameters/range_facets"
     },
     {
      "$ref": "#/components/parameters/rows"
     },
     {
      "$ref": "#/components/parameters/sort_by"
     },
     {
      "$ref": "#/components/parameters/sort_order"
     },
     {
      "$ref": "#/components/parameters/start"
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {
        "example": {
         "navigation": false,
         "response": {
          "num_found": 21483,
          "mc_dealerships": [
           {
            "mc_website_id": "10021768",
            "mc_dealer_id": "1165564",
            "mc_location_id": "1440442",
            "mc_rooftop_id": "69211",
            "mc_category": "Dealer",
            "seller_name": "Yellowstone Garage",
            "inventory_url": "yellowstonecars.co.uk",
            "status": "active",
            "dealer_type": "independent",
            "street": "256 Newcastle Road",
            "city": "Nantwich",
            "country": "England",
            "county": "Cheshire East",
            "zip": "CW5 7ET",
            "postal_code": "CW5 7ET",
            "latitude": "53.057886",
            "longitude": "-2.463424",
            "seller_phone": "01270 668144",
            "fca_status": "No longer authorised",
            "fca_reference_no": "307471",
            "created_at": "2021-02-12T11:33:59.000Z"
           },
           {
            "mc_website_id": "10021769",
            "mc_dealer_id": "1168807",
            "mc_location_id": "1569061",
            "mc_rooftop_id": "133350",
            "mc_category": "Dealer",
            "seller_name": "A F Vehicle Sales",
            "inventory_url": "afvehiclesales.co.uk",
            "status": "active",
            "dealer_type": "independent",
            "street": "Coventry Road",
            "city": "Rugby",
            "country": "England",
            "county": "Warwickshire",
            "zip": "CV2 1NR",
            "postal_code": "CV2 1NR",
            "latitude": "52.458344",
            "longitude": "-1.452743",
            "seller_phone": "07747 665477",
            "fca_status": "Authorised",
            "fca_reference_no": "767648",
            "created_at": "2021-02-12T11:34:02.000Z"
           }
          ]
         }
        }
       }
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/dealerships/inventory": {
   "get": {
    "operationId": "dealershipsInventory",
    "summary": "Dealership Inventory Syndication",
    "tags": [
     "Cars / Dealership Syndication"
    ],
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/docs/api/cars/dealership-syndication/dealership-inventory"
    },
    "parameters": [
     {
      "$ref": "#/components/parameters/append_api_key"
     },
     {
      "$ref": "#/components/parameters/base_ext_color"
     },
     {
      "$ref": "#/components/parameters/base_exterior_color"
     },
     {
      "$ref": "#/components/parameters/base_int_color"
     },
     {
      "$ref": "#/components/parameters/base_interior_color"
     },
     {
      "$ref": "#/components/parameters/body_subtype"
     },
     {
      "$ref": "#/components/parameters/body_type"
     },
     {
      "$ref": "#/components/parameters/car_type"
     },
     {
      "$ref": "#/components/parameters/city"
     },
     {
      "$ref": "#/components/parameters/city_mpg_range"
     },
     {
      "$ref": "#/components/parameters/country_v3"
     },
     {
      "$ref": "#/components/parameters/cylinders"
     },
     {
      "$ref": "#/components/parameters/dealer_id"
     },
     {
      "$ref": "#/components/parameters/dealer_name"
     },
     {
      "$ref": "#/components/parameters/dealer_type"
     },
     {
      "$ref": "#/components/parameters/dealership_group_name"
     },
     {
      "$ref": "#/components/parameters/dom_180_range"
     },
     {
      "$ref": "#/components/parameters/dom_active_range"
     },
     {
      "$ref": "#/components/parameters/dom_range"
     },
     {
      "$ref": "#/components/parameters/doors"
     },
     {
      "$ref": "#/components/parameters/dos_active_range"
     },
     {
      "$ref": "#/components/parameters/drivetrain"
     },
     {
      "$ref": "#/components/parameters/engine"
     },
     {
      "$ref": "#/components/parameters/engine_aspiration"
     },
     {
      "$ref": "#/components/parameters/engine_block"
     },
     {
      "$ref": "#/components/parameters/engine_size"
     },
     {
      "$ref": "#/components/parameters/engine_size_range"
     },
     {
      "$ref": "#/components/parameters/exterior_color"
     },
     {
      "$ref": "#/components/parameters/facet_sort"
     },
     {
      "$ref": "#/components/parameters/facets"
     },
     {
      "$ref": "#/components/parameters/first_seen_at_mc_days"
     },
     {
      "$ref": "#/components/parameters/first_seen_at_mc_range"
     },
     {
      "$ref": "#/components/parameters/first_seen_at_source_days"
     },
     {
      "$ref": "#/components/parameters/first_seen_at_source_range"
     },
     {
      "$ref": "#/components/parameters/first_seen_days"
     },
     {
      "$ref": "#/components/parameters/first_seen_range"
     },
     {
      "$ref": "#/components/parameters/fuel_type"
     },
     {
      "$ref": "#/components/parameters/highway_mpg_range"
     },
     {
      "$ref": "#/components/parameters/in_transit"
     },
     {
      "$ref": "#/components/parameters/include_non_vin_listings"
     },
     {
      "$ref": "#/components/parameters/include_relevant_links"
     },
     {
      "$ref": "#/components/parameters/interior_color"
     },
     {
      "$ref": "#/components/parameters/last_seen_days"
     },
     {
      "$ref": "#/components/parameters/last_seen_range"
     },
     {
      "$ref": "#/components/parameters/make"
     },
     {
      "$ref": "#/components/parameters/mc_category"
     },
     {
      "$ref": "#/components/parameters/mc_dealer_id"
     },
     {
      "$ref": "#/components/parameters/mc_dealership_group_id"
     },
     {
      "$ref": "#/components/parameters/mc_dealership_group_name"
     },
     {
      "$ref": "#/components/parameters/mc_location_id"
     },
     {
      "$ref": "#/components/parameters/mc_rooftop_id"
     },
     {
      "$ref": "#/components/parameters/mc_sub_dealership_group_id"
     },
     {
      "$ref": "#/components/parameters/mc_sub_dealership_group_name"
     },
     {
      "$ref": "#/components/parameters/mc_website_id"
     },
     {
      "$ref": "#/components/parameters/miles_range"
     },
     {
      "$ref": "#/components/parameters/min_photo_links"
     },
     {
      "$ref": "#/components/parameters/min_photo_links_cached"
     },
     {
      "$ref": "#/components/parameters/model"
     },
     {
      "$ref": "#/components/parameters/msa_code"
     },
     {
      "$ref": "#/components/parameters/msrp_range"
     },
     {
      "$ref": "#/components/parameters/owned"
     },
     {
      "$ref": "#/components/parameters/photo_links"
     },
     {
      "$ref": "#/components/parameters/photo_links_cached"
     },
     {
      "$ref": "#/components/parameters/powertrain_type"
     },
     {
      "$ref": "#/components/parameters/price_range"
     },
     {
      "$ref": "#/components/parameters/range_facets"
     },
     {
      "$ref": "#/components/parameters/rows_v3"
     },
     {
      "$ref": "#/components/parameters/seating_capacity"
     },
     {
      "$ref": "#/components/parameters/sort_by"
     },
     {
      "$ref": "#/components/parameters/sort_order"
     },
     {
      "$ref": "#/components/parameters/source"
     },
     {
      "$ref": "#/components/parameters/start"
     },
     {
      "$ref": "#/components/parameters/state_v2"
     },
     {
      "$ref": "#/components/parameters/stats"
     },
     {
      "$ref": "#/components/parameters/stock_no"
     },
     {
      "$ref": "#/components/parameters/transmission"
     },
     {
      "$ref": "#/components/parameters/trim"
     },
     {
      "$ref": "#/components/parameters/vehicle_type"
     },
     {
      "$ref": "#/components/parameters/version"
     },
     {
      "$ref": "#/components/parameters/vin"
     },
     {
      "$ref": "#/components/parameters/year"
     },
     {
      "$ref": "#/components/parameters/has_price"
     },
     {
      "$ref": "#/components/parameters/has_miles"
     },
     {
      "$ref": "#/components/parameters/year_range"
     },
     {
      "$ref": "#/components/parameters/zip"
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {
        "example": {
         "navigation": false,
         "response": {
          "num_found": 1510,
          "listings": [
           {
            "id": "JTDVPMAE2MJ159394-02020730-b5c6",
            "vin": "JTDVPMAE2MJ159394",
            "heading": "2021 Toyota Corolla LE",
            "miles": 49410,
            "data_source": "mc",
            "vdp_url": "https://www.stgautogroup.com/inventory/2021-toyota-corolla-le-JTDVPMAE2MJ159394",
            "carfax_1_owner": true,
            "carfax_clean_title": false,
            "exterior_color": "White",
            "interior_color": "Black",
            "base_int_color": "Black",
            "base_ext_color": "White",
            "dom": 78,
            "dom_180": 2,
            "dom_active": 2,
            "dos_active": 2,
            "seller_type": "dealer",
            "inventory_type": "used",
            "stock_no": "X06158",
            "last_seen_at": 1758341222,
            "last_seen_at_date": "2025-09-20T04:07:02.000Z",
            "scraped_at": 1758258398,
            "scraped_at_date": "2025-09-19T05:06:38.000Z",
            "first_seen_at": 1758258398,
            "first_seen_at_date": "2025-09-19T05:06:38.000Z",
            "first_seen_at_mc": 1609463091,
            "first_seen_at_mc_date": "2021-01-01T01:04:51.000Z",
            "first_seen_at_source": 1758258398,
            "first_seen_at_source_date": "2025-09-19T05:06:38.000Z",
            "source": "stgautogroup.com",
            "in_transit": false,
            "car_location": {
             "seller_name": "STG Chandler"
            },
            "media": {
             "photo_links": [
              "https://static.overfuel.com/photos/1304/876994/e1fc1d7a896248d6b27224fa90be4718.webp?w=1920&q=80",
              "https://static.overfuel.com/photos/1304/876994/e1fc1d7a896248d6b27224fa90be4718.webp"
             ],
             "photo_links_cached": [
              "https://api.marketcheck.com/v2/image/cache/car/JTDVPMAE2MJ159394-02020730-b5c6/e4766c0246fe4b64e26bf72d3e59b431?api_key=YOUR_API_KEY",
              "https://api.marketcheck.com/v2/image/cache/car/JTDVPMAE2MJ159394-02020730-b5c6/338fc742f70d6e144b7b8ac5e7b5defd?api_key=YOUR_API_KEY"
             ]
            },
            "dealer": {
             "id": 1035095,
             "website": "stgautogroup.com",
             "name": "Stg Auto Group",
             "dealer_type": "independent",
             "street": "10477 Central Ave",
             "city": "Montclair",
             "state": "CA",
             "country": "US",
             "latitude": "34.064021",
             "longitude": "-117.688996",
             "zip": "91763",
             "msa_code": "6780",
             "phone": "909-341-1189",
             "seller_email": "iecustomerservice@stgautogroup.com"
            },
            "mc_dealership": {
             "mc_website_id": 1035095,
             "mc_dealer_id": 1055119,
             "mc_location_id": 1474601,
             "mc_rooftop_id": 640368,
             "mc_category": "Dealer",
             "website": "stgautogroup.com",
             "name": "Stg Auto Group",
             "dealer_type": "independent",
             "street": "10477 Central Ave",
             "city": "Montclair",
             "state": "CA",
             "country": "US",
             "latitude": "34.064021",
             "longitude": "-117.688996",
             "zip": "91763",
             "msa_code": "6780",
             "phone": "909-341-1189",
             "seller_email": "iecustomerservice@stgautogroup.com"
            },
            "build": {
             "year": 2021,
             "make": "Toyota",
             "model": "Corolla",
             "trim": "LE",
             "version": "LE CVT",
             "body_type": "Sedan",
             "vehicle_type": "Car",
             "transmission": "CVT",
             "drivetrain": "FWD",
             "fuel_type": "Unleaded",
             "engine": "1.8L I4",
             "engine_size": 1.8,
             "engine_block": "I",
             "doors": 4,
             "cylinders": 4,
             "overall_height": "58.5",
             "overall_width": "70.1",
             "std_seating": "5",
             "highway_mpg": 41,
             "city_mpg": 32,
             "powertrain_type": "Combustion"
            }
           },
           {
            "id": "1FBZX2ZM1FKB23540-00524929-62c9",
            "vin": "1FBZX2ZM1FKB23540",
            "heading": "2015 Ford Transit-350 XL w/ Privacy glass",
            "price": 32732,
            "price_change_percent": -0.47,
            "miles": 20998,
            "msrp": 32732,
            "data_source": "mc",
            "vdp_url": "https://www.stgautogroup.com/inventory/2015-ford-transit-350-xl-w-privacy-glass-1FBZX2ZM1FKB23540",
            "carfax_1_owner": true,
            "carfax_clean_title": false,
            "exterior_color": "Oxford White",
            "interior_color": "Pewter",
            "base_int_color": "Gray",
            "base_ext_color": "White",
            "dom": 126,
            "dom_180": 126,
            "dom_active": 126,
            "dos_active": 126,
            "seller_type": "dealer",
            "inventory_type": "used",
            "stock_no": "T66848",
            "last_seen_at": 1758340990,
            "last_seen_at_date": "2025-09-20T04:03:10.000Z",
            "scraped_at": 1757735209,
            "scraped_at_date": "2025-09-13T03:46:49.000Z",
            "first_seen_at": 1757735209,
            "first_seen_at_date": "2025-09-13T03:46:49.000Z",
            "first_seen_at_mc": 1747550763,
            "first_seen_at_mc_date": "2025-05-18T06:46:03.000Z",
            "first_seen_at_source": 1747550763,
            "first_seen_at_source_date": "2025-05-18T06:46:03.000Z",
            "ref_price": 32888,
            "ref_price_dt": 1757650120,
            "ref_miles": 20998,
            "ref_miles_dt": 1757650120,
            "source": "stgautogroup.com",
            "in_transit": false,
            "car_location": {
             "seller_name": "STG Montclair"
            },
            "media": {
             "photo_links": [
              "https://static.overfuel.com/photos/794/626906/d5505f9f00e14b1da6414911e5b64a8d.webp?w=1920&q=80",
              "https://static.overfuel.com/photos/794/626906/d5505f9f00e14b1da6414911e5b64a8d.webp"
             ],
             "photo_links_cached": [
              "https://api.marketcheck.com/v2/image/cache/car/1FBZX2ZM1FKB23540-4057bd00-f718/437b17adc369c21f34ba1e8a91f9a4db?api_key=YOUR_API_KEY",
              "https://api.marketcheck.com/v2/image/cache/car/1FBZX2ZM1FKB23540-4057bd00-f718/ae8b381c4989b48ba8d7429605c305b5?api_key=YOUR_API_KEY"
             ]
            },
            "dealer": {
             "id": 1035095,
             "website": "stgautogroup.com",
             "name": "Stg Auto Group",
             "dealer_type": "independent",
             "street": "10477 Central Ave",
             "city": "Montclair",
             "state": "CA",
             "country": "US",
             "latitude": "34.064021",
             "longitude": "-117.688996",
             "zip": "91763",
             "msa_code": "6780",
             "phone": "909-341-1189",
             "seller_email": "iecustomerservice@stgautogroup.com"
            },
            "mc_dealership": {
             "mc_website_id": 1035095,
             "mc_dealer_id": 1055119,
             "mc_location_id": 1474601,
             "mc_rooftop_id": 640368,
             "mc_category": "Dealer",
             "website": "stgautogroup.com",
             "name": "Stg Auto Group",
             "dealer_type": "independent",
             "street": "10477 Central Ave",
             "city": "Montclair",
             "state": "CA",
             "country": "US",
             "latitude": "34.064021",
             "longitude": "-117.688996",
             "zip": "91763",
             "msa_code": "6780",
             "phone": "909-341-1189",
             "seller_email": "iecustomerservice@stgautogroup.com"
            },
            "build": {
             "year": 2015,
             "make": "Ford",
             "model": "Transit",
             "trim": "XL",
             "version": "350 XL Wagon Low Roof 60/40 Pass. 148 WB",
             "body_type": "Passenger Van",
             "vehicle_type": "Truck",
             "transmission": "Automatic",
             "drivetrain": "RWD",
             "fuel_type": "E85 / Unleaded",
             "engine": "3.7L V6",
             "engine_size": 3.7,
             "engine_block": "V",
             "doors": 4,
             "cylinders": 6,
             "overall_height": "83.2",
             "overall_width": "81.3",
             "std_seating": "8",
             "powertrain_type": "Combustion"
            }
           }
          ],
          "facets": {
           "year": [
            {
             "item": "2022",
             "count": 290
            },
            {
             "item": "2023",
             "count": 265
            }
           ],
           "make": [
            {
             "item": "Toyota",
             "count": 219
            },
            {
             "item": "Chevrolet",
             "count": 118
            }
           ]
          },
          "stats": {
           "price": {
            "min": 3998,
            "max": 399000,
            "count": 1353,
            "missing": 157,
            "sum": 38074718,
            "mean": 28140.96,
            "stddev": 19191.26,
            "sum_of_squares": 1569775053888,
            "median": 25567,
            "percentiles": {
             "5.0": 13777.4,
             "25.0": 18998,
             "50.0": 25567,
             "75.0": 33028,
             "90.0": 41571,
             "95.0": 48462.2,
             "99.0": 71386.8
            }
           }
          }
         }
        }
       }
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/dealerships/inventory/marketplaces/{marketplace_name}": {
   "get": {
    "operationId": "dealershipsInventoryMarketplacesMarketplaceName",
    "summary": "Marketplace Inventory Syndication",
    "tags": [
     "Cars / Dealership Syndication"
    ],
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/docs/api/cars/dealership-syndication/marketplace-inventory"
    },
    "parameters": [
     {
      "name": "marketplace_name",
      "in": "path",
      "required": true,
      "schema": {
       "type": "string"
      }
     },
     {
      "$ref": "#/components/parameters/append_api_key"
     },
     {
      "$ref": "#/components/parameters/base_ext_color"
     },
     {
      "$ref": "#/components/parameters/base_exterior_color"
     },
     {
      "$ref": "#/components/parameters/base_int_color"
     },
     {
      "$ref": "#/components/parameters/base_interior_color"
     },
     {
      "$ref": "#/components/parameters/body_subtype"
     },
     {
      "$ref": "#/components/parameters/body_type"
     },
     {
      "$ref": "#/components/parameters/car_type"
     },
     {
      "$ref": "#/components/parameters/city"
     },
     {
      "$ref": "#/components/parameters/city_mpg_range"
     },
     {
      "$ref": "#/components/parameters/country_v3"
     },
     {
      "$ref": "#/components/parameters/cylinders"
     },
     {
      "$ref": "#/components/parameters/dealer_id"
     },
     {
      "$ref": "#/components/parameters/dealer_name"
     },
     {
      "$ref": "#/components/parameters/dealer_type"
     },
     {
      "$ref": "#/components/parameters/dealership_group_name"
     },
     {
      "$ref": "#/components/parameters/dom_180_range"
     },
     {
      "$ref": "#/components/parameters/dom_active_range"
     },
     {
      "$ref": "#/components/parameters/dom_range"
     },
     {
      "$ref": "#/components/parameters/doors"
     },
     {
      "$ref": "#/components/parameters/dos_active_range"
     },
     {
      "$ref": "#/components/parameters/drivetrain"
     },
     {
      "$ref": "#/components/parameters/engine"
     },
     {
      "$ref": "#/components/parameters/engine_aspiration"
     },
     {
      "$ref": "#/components/parameters/engine_block"
     },
     {
      "$ref": "#/components/parameters/engine_size"
     },
     {
      "$ref": "#/components/parameters/engine_size_range"
     },
     {
      "$ref": "#/components/parameters/exterior_color"
     },
     {
      "$ref": "#/components/parameters/facet_sort"
     },
     {
      "$ref": "#/components/parameters/facets"
     },
     {
      "$ref": "#/components/parameters/first_seen_at_mc_days"
     },
     {
      "$ref": "#/components/parameters/first_seen_at_mc_range"
     },
     {
      "$ref": "#/components/parameters/first_seen_at_source_days"
     },
     {
      "$ref": "#/components/parameters/first_seen_at_source_range"
     },
     {
      "$ref": "#/components/parameters/first_seen_days"
     },
     {
      "$ref": "#/components/parameters/first_seen_range"
     },
     {
      "$ref": "#/components/parameters/fuel_type"
     },
     {
      "$ref": "#/components/parameters/highway_mpg_range"
     },
     {
      "$ref": "#/components/parameters/in_transit"
     },
     {
      "$ref": "#/components/parameters/include_non_vin_listings"
     },
     {
      "$ref": "#/components/parameters/include_relevant_links"
     },
     {
      "$ref": "#/components/parameters/interior_color"
     },
     {
      "$ref": "#/components/parameters/last_seen_days"
     },
     {
      "$ref": "#/components/parameters/last_seen_range"
     },
     {
      "$ref": "#/components/parameters/make"
     },
     {
      "$ref": "#/components/parameters/mc_category"
     },
     {
      "$ref": "#/components/parameters/mc_dealer_id"
     },
     {
      "$ref": "#/components/parameters/mc_dealership_group_id"
     },
     {
      "$ref": "#/components/parameters/mc_dealership_group_name"
     },
     {
      "$ref": "#/components/parameters/mc_location_id"
     },
     {
      "$ref": "#/components/parameters/mc_rooftop_id"
     },
     {
      "$ref": "#/components/parameters/mc_sub_dealership_group_id"
     },
     {
      "$ref": "#/components/parameters/mc_sub_dealership_group_name"
     },
     {
      "$ref": "#/components/parameters/mc_website_id"
     },
     {
      "$ref": "#/components/parameters/miles_range"
     },
     {
      "$ref": "#/components/parameters/min_photo_links"
     },
     {
      "$ref": "#/components/parameters/min_photo_links_cached"
     },
     {
      "$ref": "#/components/parameters/model"
     },
     {
      "$ref": "#/components/parameters/msa_code"
     },
     {
      "$ref": "#/components/parameters/msrp_range"
     },
     {
      "$ref": "#/components/parameters/owned"
     },
     {
      "$ref": "#/components/parameters/photo_links"
     },
     {
      "$ref": "#/components/parameters/photo_links_cached"
     },
     {
      "$ref": "#/components/parameters/powertrain_type"
     },
     {
      "$ref": "#/components/parameters/price_range"
     },
     {
      "$ref": "#/components/parameters/range_facets"
     },
     {
      "$ref": "#/components/parameters/rows_v3"
     },
     {
      "$ref": "#/components/parameters/seating_capacity"
     },
     {
      "$ref": "#/components/parameters/sort_by"
     },
     {
      "$ref": "#/components/parameters/sort_order"
     },
     {
      "$ref": "#/components/parameters/source"
     },
     {
      "$ref": "#/components/parameters/start"
     },
     {
      "$ref": "#/components/parameters/state_v2"
     },
     {
      "$ref": "#/components/parameters/stats"
     },
     {
      "$ref": "#/components/parameters/stock_no"
     },
     {
      "$ref": "#/components/parameters/transmission"
     },
     {
      "$ref": "#/components/parameters/trim"
     },
     {
      "$ref": "#/components/parameters/vehicle_type"
     },
     {
      "$ref": "#/components/parameters/version"
     },
     {
      "$ref": "#/components/parameters/vin"
     },
     {
      "$ref": "#/components/parameters/has_price"
     },
     {
      "$ref": "#/components/parameters/has_miles"
     },
     {
      "$ref": "#/components/parameters/year"
     },
     {
      "$ref": "#/components/parameters/year_range"
     },
     {
      "$ref": "#/components/parameters/zip"
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {
        "example": {
         "navigation": false,
         "response": {
          "num_found": 178,
          "listings": [
           {
            "vehicle_id": "5XXG14J20NG150912-0f90feda-78d6",
            "vin": "5XXG14J20NG150912",
            "url": "https://www.worldcarkianorth.com/auto/preowned-2022-kia-k5-lxs-san-antonio-tx/103222549/",
            "title": "Certified 2022 Kia K5 LXS",
            "year": 2022,
            "make": "Kia",
            "model": "K5",
            "trim": "LXS",
            "price": "-1 USD",
            "exterior_color": "Everlasting Silver",
            "interior_color": "Black",
            "state_of_vehicle": "CPO",
            "body_style": "SEDAN",
            "description": "2022 Kia K5 LXS with Automatic transmission, 1.6L I4 engine, Unleaded fuel. Available at World Car Kia North",
            "mileage": {
             "value": 43272,
             "unit": "MI"
            },
            "image": [
             {
              "url": "https://cloudflareimages.dealereprocess.com/resrc/images/c_limit,f_auto,fl_lossy,w_auto/v1/dvp/1167/24518888737-aHR0cDovL2ltYWdlcy51bml0c2ludmVudG9yeS5jb20vdXBsb2Fkcy9waG90b3MvMC8yMDI1LTA4LTExLzEtMjIxNjk2NDctNjg5YTNjMjg2MWM5OC5qcGc=",
              "tag": [
               "Car"
              ]
             },
             {
              "url": "https://cloudflareimages.dealereprocess.com/resrc/images/c_limit,fl_lossy,w_auto/v1/dvp/1167/24518888737/Pre-Owned-2022-Kia-K5-LXS-ID24518888737-aHR0cDovL2ltYWdlcy51bml0c2ludmVudG9yeS5jb20vdXBsb2Fkcy9waG90b3MvMC8yMDI1LTA4LTExLzEtMjIxNjk2NDctNjg5YTNjMjg2MWM5OC5qcGc=",
              "tag": [
               "Car"
              ]
             }
            ],
            "vehicle_type": "car_truck",
            "drivetrain": "FWD",
            "fuel_type": "GASOLINE",
            "transmission": "Automatic",
            "availability": "AVAILABLE",
            "date_first_on_lot": "2025-03-31",
            "days_on_lot": 153,
            "address": {
             "addr1": "12115 N Interstate 35",
             "city": "San Antonio",
             "region": "TX",
             "country": "US",
             "postal_code": "78233"
            },
            "latitude": "29.523229",
            "longitude": "-98.394032",
            "dealer_name": "World Car Kia North",
            "dealer_id": "1015993"
           },
           {
            "vehicle_id": "KNDJ23AU8M7149626-95f8d211-0bcd",
            "vin": "KNDJ23AU8M7149626",
            "url": "https://www.worldcarkianorth.com/auto/preowned-2021-kia-soul-s-w-wheel-pkg-keyless-entry-lane-assist-rear-camera--17-wheels-san-antonio-tx/109704182/",
            "title": "Certified 2021 Kia Soul S w/ Wheel Pkg, Keyless Entry, Lane Assist, Rear Camera & 17\" Wheels",
            "year": 2021,
            "make": "Kia",
            "model": "Soul",
            "trim": "S",
            "price": "-1 USD",
            "exterior_color": "Snow White Pearl",
            "interior_color": "Black",
            "state_of_vehicle": "CPO",
            "body_style": "HATCHBACK",
            "description": "2021 Kia Soul S with Automatic transmission, 2.0L I4 engine, Unleaded fuel. Available at World Car Kia North",
            "mileage": {
             "value": 53692,
             "unit": "MI"
            },
            "image": [
             {
              "url": "https://cloudflareimages.dealereprocess.com/resrc/images/c_limit,f_auto,fl_lossy,w_auto/v1/dvp/1167/28726606262-aHR0cDovL2ltYWdlcy51bml0c2ludmVudG9yeS5jb20vdXBsb2Fkcy9waG90b3MvMC8yMDI1LTA5LTIzLzEtMjQ0NDczNjAtNjhkMmU2YWExMTRhOS5qcGc=",
              "tag": [
               "Car"
              ]
             },
             {
              "url": "https://cloudflareimages.dealereprocess.com/resrc/images/c_limit,fl_lossy,w_auto/v1/dvp/1167/28726606262/Pre-Owned-2021-Kia-Soul-SwWheelPkg,KeylessEntry,LaneAssist,RearCamera&17%22Wheels-ID28726606262-aHR0cDovL2ltYWdlcy51bml0c2ludmVudG9yeS5jb20vdXBsb2Fkcy9waG90b3MvMC8yMDI1LTA5LTIzLzEtMjQ0NDczNjAtNjhkMmU2YWExMTRhOS5qcGc=",
              "tag": [
               "Car"
              ]
             }
            ],
            "vehicle_type": "car_truck",
            "drivetrain": "FWD",
            "fuel_type": "GASOLINE",
            "transmission": "Automatic",
            "availability": "AVAILABLE",
            "date_first_on_lot": "2025-08-31",
            "days_on_lot": 25,
            "address": {
             "addr1": "12115 N Interstate 35",
             "city": "San Antonio",
             "region": "TX",
             "country": "US",
             "postal_code": "78233"
            },
            "latitude": "29.523229",
            "longitude": "-98.394032",
            "dealer_name": "World Car Kia North",
            "dealer_id": "1015993"
           }
          ]
         }
        }
       }
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "404": {
      "$ref": "#/components/responses/Error404"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/decode/car/{vin}/specs": {
   "get": {
    "operationId": "decodeCarVinSpecs",
    "summary": "Basic VIN Decoder",
    "tags": [
     "Cars / Vehicle Specs"
    ],
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/docs/api/cars/vehicle-specs/basic"
    },
    "parameters": [
     {
      "name": "vin",
      "in": "path",
      "required": true,
      "schema": {
       "type": "string"
      }
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {
        "example": {
         "navigation": false,
         "response": {
          "is_valid": true,
          "decode_mode": "fullVIN",
          "year": 2012,
          "make": "Ford",
          "model": "Focus",
          "trim": "SE",
          "body_type": "Sedan",
          "vehicle_type": "Car",
          "transmission": "Manual",
          "drivetrain": "FWD",
          "fuel_type": "Unleaded",
          "engine": "2.0L I4",
          "engine_size": 2,
          "doors": 4,
          "cylinders": 4,
          "made_in": "USA",
          "overall_height": "57.7",
          "overall_length": "178.5",
          "overall_width": "71.8",
          "std_seating": "5",
          "highway_mpg": 40,
          "city_mpg": 28,
          "powertrain_type": "Combustion"
         }
        }
       }
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "404": {
      "$ref": "#/components/responses/Error404"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/decode/car/epi/{vin}/specs": {
   "get": {
    "operationId": "decodeCarEpiVinSpecs",
    "summary": "Enhanced VIN Decoder",
    "tags": [
     "Cars / Third Party"
    ],
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/docs/api/cars/third-party/epi"
    },
    "parameters": [
     {
      "name": "vin",
      "in": "path",
      "required": true,
      "schema": {
       "type": "string"
      }
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {}
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "404": {
      "$ref": "#/components/responses/Error404"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/decode/car/neovin/{vin}/options-packages": {
   "get": {
    "operationId": "decodeCarNeovinVinOptionsPackages",
    "summary": "Available Options Packages",
    "tags": [
     "Cars / Vehicle Specs"
    ],
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/docs/api/cars/vehicle-specs/available-options"
    },
    "parameters": [
     {
      "name": "vin",
      "in": "path",
      "required": true,
      "schema": {
       "type": "string"
      }
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {
        "example": {
         "navigation": false,
         "response": {
          "vin": "3GNKBHR48PS212775",
          "country": "US",
          "available_options_packages": [
           {
            "code": "00V",
            "name": "Credit - Not Equipped with Front Heated Seats",
            "msrp": "-50"
           },
           {
            "code": "00Y",
            "name": "Credit - Not Equipped with Rear Park Assist",
            "msrp": "-50"
           }
          ]
         }
        }
       }
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "404": {
      "$ref": "#/components/responses/Error404"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/decode/car/neovin/{vin}/specs": {
   "get": {
    "operationId": "decodeCarNeovinVinSpecs",
    "summary": "NeoVIN Decoder",
    "tags": [
     "Cars / Vehicle Specs"
    ],
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/docs/api/cars/vehicle-specs/neovin"
    },
    "parameters": [
     {
      "name": "vin",
      "in": "path",
      "required": true,
      "schema": {
       "type": "string"
      }
     },
     {
      "$ref": "#/components/parameters/include_generic"
     },
     {
      "$ref": "#/components/parameters/include_available_options"
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {
        "example": {
         "navigation": false,
         "response": {
          "vin": "WA1BBAFY7P2183119",
          "squish_vin": "WA1BBAFY_P2",
          "year": 2023,
          "make": "Audi",
          "model": "Q5",
          "vehicle_type": "Truck",
          "listing_confidence": "mc_listings|new|dealer|franchise|17",
          "trim": "Premium Plus",
          "trim_confidence": "mc_listings|new|dealer|franchise|heading|exact_match",
          "version": "40 Premium Plus",
          "version_confidence": "single|latest",
          "transmission": "Automatic",
          "transmission_confidence": "mc_listings|new|dealer|franchise|orig|exact_match",
          "transmission_description": "Dual Clutch Sequential Trans (DCT)",
          "drivetrain": "4WD",
          "powertrain_type": "MHEV",
          "engine": "2.0L I4",
          "fuel_type": "Premium Unleaded",
          "doors": 5,
          "body_type": "SUV",
          "width": 74.8,
          "height": 65.7,
          "length": 185.7,
          "city_mpg": 23,
          "highway_mpg": 30,
          "manufacturer_code": "FYGBZY/WPS",
          "msrp": 49400,
          "delivery_charges": 1195,
          "installed_options_msrp": 595,
          "combined_msrp": 51190,
          "interior_color": {
           "code": "BG",
           "name": "Okapi Brown Leather",
           "confidence": "0.73",
           "base": "Brown"
          },
          "exterior_color": {
           "code": "H1H1",
           "name": "Manhattan Gray Metallic",
           "msrp": "595",
           "confidence": "1.0",
           "base": "Gray"
          },
          "country": "USA",
          "seating_capacity": 5,
          "combined_mpg": 26,
          "rating": {
           "safety": {
            "front": 5,
            "side": 5,
            "overall": 5
           },
           "rollover": 4,
           "roof_strength": "Good"
          },
          "warranty": {
           "total": {
            "duration": 48,
            "distance": 50000
           },
           "powertrain": {
            "duration": 48,
            "distance": 50000
           },
           "anti_corrosion": {
            "duration": 144,
            "distance": 9999999
           },
           "roadside_assistance": {
            "duration": 48,
            "distance": 9999999
           }
          },
          "options_packages": "H1H1",
          "installed_options_details": [
           {
            "code": "H1H1",
            "name": "Manhattan Gray Metallic",
            "msrp": "595",
            "type": "Paint",
            "confidence": "Low",
            "verified": true,
            "rule": "Excludes",
            "sale_price": "595"
           }
          ],
          "features": {
           "H1H1": [
            {
             "category": "Exterior",
             "feature_type": "External Color",
             "description": "Gray"
            }
           ],
           "STANDARD": [
            {
             "category": "Comfort & Convenience",
             "feature_type": "Power Outlet",
             "description": "12 Volt Rear Power Outlet"
            },
            {
             "category": "Comfort & Convenience",
             "feature_type": "Power Outlet",
             "description": "12 Volt Power Outlet"
            }
           ]
          },
          "high_value_features": {
           "H1H1": [
            {
             "category": "Exterior",
             "description": "Upgrade Paint"
            }
           ],
           "STANDARD": [
            {
             "category": "Safety & Driver Assist",
             "description": "360 View Parking Device"
            },
            {
             "category": "Safety & Driver Assist",
             "description": "Parking Assistance System"
            }
           ]
          },
          "installed_equipment": {
           "H1H1": [
            {
             "category": "Exterior",
             "item": "external color",
             "attribute": "external color",
             "location": "",
             "value": "standard"
            },
            {
             "category": "Exterior",
             "item": "external color",
             "attribute": "color",
             "location": "",
             "value": "gray"
            }
           ],
           "STANDARD": [
            {
             "category": "Interior",
             "item": "Front seat",
             "attribute": "reclining type",
             "location": "passenger",
             "value": "electric"
            },
            {
             "category": "Interior",
             "item": "Front seat",
             "attribute": "reach type",
             "location": "passenger",
             "value": "electric"
            }
           ]
          },
          "created_at": 1752253170,
          "created_at_date": "2025-07-11T16:59:30.000Z",
          "updated_at": 1752253170,
          "updated_at_date": "2025-07-11T16:59:30.000Z",
          "decode_version": 1
         }
        }
       }
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "404": {
      "$ref": "#/components/responses/Error404"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/history/car/{vin}": {
   "get": {
    "operationId": "historyCarVin",
    "summary": "History by VIN",
    "tags": [
     "Cars / Vehicle History"
    ],
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/docs/api/cars/vehicle-history/history-by-vin"
    },
    "parameters": [
     {
      "name": "vin",
      "in": "path",
      "required": true,
      "schema": {
       "type": "string"
      }
     },
     {
      "$ref": "#/components/parameters/fields"
     },
     {
      "$ref": "#/components/parameters/page"
     },
     {
      "$ref": "#/components/parameters/sort_order_v2"
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {
        "example": {
         "navigation": false,
         "response": [
          {
           "id": "1FTEW1C57MKD83429-aa90c455-6c61",
           "price": 29995,
           "miles": 112158,
           "data_source": "mc",
           "vdp_url": "https://www.hattiesburgcars.com/auto/used-2021-ford-f-150-xlt-hattiesburg-ms/107663785/",
           "seller_type": "dealer",
           "inventory_type": "used",
           "last_seen_at": 1753152310,
           "last_seen_at_date": "2025-07-22T02:45:10.000Z",
           "scraped_at": 1752719667,
           "scraped_at_date": "2025-07-17T02:34:27.000Z",
           "first_seen_at": 1752719667,
           "first_seen_at_date": "2025-07-17T02:34:27.000Z",
           "source": "hattiesburgcars.com",
           "seller_name": "Hattiesburg Cars",
           "city": "Hattiesburg",
           "state": "MS",
           "zip": "39401",
           "status_date": 1753152310
          },
          {
           "id": "1FTEW1C57MKD83429-18d983b7-5d24",
           "price": 29995,
           "miles": 112158,
           "data_source": "mc",
           "vdp_url": "https://www.toyotahattiesburg.com/auto/used-2021-ford-f-150-xlt-hattiesburg-ms/107663785/",
           "seller_type": "dealer",
           "inventory_type": "used",
           "last_seen_at": 1753076561,
           "last_seen_at_date": "2025-07-21T05:42:41.000Z",
           "scraped_at": 1753076561,
           "scraped_at_date": "2025-07-21T05:42:41.000Z",
           "first_seen_at": 1753076561,
           "first_seen_at_date": "2025-07-21T05:42:41.000Z",
           "source": "toyotahattiesburg.com",
           "seller_name": "Toyota Of Hattiesburg",
           "city": "Hattiesburg",
           "state": "MS",
           "zip": "39402",
           "status_date": 1753076561
          }
         ]
        }
       }
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "404": {
      "$ref": "#/components/responses/Error404"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/history/car/uk/{vrm}": {
   "get": {
    "operationId": "historyCarUkVrm",
    "summary": "History by VRM",
    "tags": [
     "UK Cars / Vehicle History"
    ],
    "x-region": "uk",
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/uk/docs/api/cars/vehicle-history/history-by-vrm"
    },
    "parameters": [
     {
      "name": "vrm",
      "in": "path",
      "required": true,
      "schema": {
       "type": "string"
      }
     },
     {
      "$ref": "#/components/parameters/page"
     },
     {
      "$ref": "#/components/parameters/sort_order_v2"
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {
        "example": {
         "navigation": false,
         "response": [
          {
           "id": "2d3df3711d5d23da98ece52d328f88a68272b22df924db2cd4175d818725ad7c",
           "price": 4295,
           "miles": 88269,
           "data_source": "mc",
           "vdp_url": "https://motorslocal.com/listing/2013-vauxhall-astra/",
           "seller_type": "dealer",
           "inventory_type": "used",
           "last_seen_at": 1740563780,
           "last_seen_at_date": "2025-02-26T09:56:20.000Z",
           "scraped_at": 1723259586,
           "scraped_at_date": "2024-08-10T03:13:06.000Z",
           "first_seen_at": 1723259586,
           "first_seen_at_date": "2024-08-10T03:13:06.000Z",
           "source": "motorslocal.com",
           "seller_name": "Motorslocal",
           "city": "Doncaster",
           "zip": "DN4 9LX",
           "postal_code": "DN4 9LX",
           "status_date": 1740563780
          },
          {
           "id": "2d3df3711d5d23da98ece52d328f88a62c68c6e9b7fd08e73dc065cde3e914cc",
           "price": 4995,
           "miles": 91524,
           "data_source": "mc",
           "vdp_url": "https://motorslocal.com/listing/2013-vauxhall-astra/",
           "seller_type": "dealer",
           "inventory_type": "used",
           "last_seen_at": 1677940443,
           "last_seen_at_date": "2023-03-04T14:34:03.000Z",
           "scraped_at": 1672815489,
           "scraped_at_date": "2023-01-04T06:58:09.000Z",
           "first_seen_at": 1672815489,
           "first_seen_at_date": "2023-01-04T06:58:09.000Z",
           "source": "motorslocal.com",
           "seller_name": "Motorslocal",
           "status_date": 1677940443
          }
         ]
        }
       }
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "404": {
      "$ref": "#/components/responses/Error404"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/image/cache/car/{listing_id}/{image_id}": {
   "get": {
    "operationId": "imageCacheCarListingIdImageId",
    "summary": "Cached Image",
    "tags": [
     "UK Cars / Vehicle Listing"
    ],
    "x-region": "uk",
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/uk/docs/api/cars/vehicle-listing/cached-image"
    },
    "parameters": [
     {
      "name": "listing_id",
      "in": "path",
      "required": true,
      "schema": {
       "type": "string"
      }
     },
     {
      "name": "image_id",
      "in": "path",
      "required": true,
      "schema": {
       "type": "string"
      }
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {}
      }
     },
     "401": {
      "$ref": "#/components/responses/Error401"
     },
     "404": {
      "$ref": "#/components/responses/Error404"
     },
     "422": {
      "$ref": "#/components/responses/Error422"
     },
     "429": {
      "$ref": "#/components/responses/Error429"
     }
    }
   }
  },
  "/listing/car/{listing_id}": {
   "get": {
    "operationId": "listingCarListingId",
    "summary": "Car Listing Details",
    "tags": [
     "Cars / Vehicle Listing"
    ],
    "externalDocs": {
     "description": "Full documentation (append .md for raw markdown)",
     "url": "https://docs.marketcheck.com/docs/api/cars/vehicle-listing/car-listing"
    },
    "parameters": [
     {
      "name": "listing_id",
      "in": "path",
      "required": true,
      "schema": {
       "type": "string"
      }
     }
    ],
    "responses": {
     "200": {
      "description": "Successful response. See the linked documentation page for the full field reference.",
      "content": {
       "application/json": {
        "example": {
         "navigation": false,
         "response": {
          "id": "5TFUW5F16KX782196-44367fcc-c2fb",
          "vin": "5TFUW5F16KX782196",
          "heading": "Used 2019 Toyota Tundra SR5",
          "price": 27995,
          "price_change_percent": -3.09,
          "miles": 80203,
          "msrp": 27995,
          "data_source": "mc",
          "vdp_url": "https://www.autonationusa.com/used/Toyota/2019-Toyota-Tundra-8c8bd57cac1821a4025ac8172b1c3f9a.htm",
          "carfax_1_owner": false,
          "carfax_clean_title": false,
          "exterior_color": "Magnetic Gray Metallic",
          "interior_color": "Graphite",
          "base_int_color": "Gray",
          "base_ext_color": "Gray",
          "dom": 218,
          "dom_180": 83,
          "dom_active": 83,
          "dos_active": 82,
          "seller_type": "dealer",
          "inventory_type": "used",
          "stock_no": "KX782196",
          "last_seen_at": 1753153108,
          "last_seen_at_date": "2025-07-22T02:58:28.000Z",
          "scraped_at": 1752732629,
          "scraped_at_date": "2025-07-17T06:10:29.000Z",
          "first_seen_at": 1752732629,
          "first_seen_at_date": "2025-07-17T06:10:29.000Z",
          "first_seen_at_mc": 1536403570,
          "first_seen_at_mc_date": "2018-09-08T10:46:10.000Z",
          "first_seen_at_source": 1746166491,
          "first_seen_at_source_date": "2025-05-02T06:14:51.000Z",
          "ref_price": 28889,
          "ref_price_dt": 1752653949,
          "ref_miles": 80203,
          "ref_miles_dt": 1752653949,
          "source": "autonationusa.com",
          "in_transit": false,
          "car_location": {
           "mc_car_location_id": "1391837",
           "seller_name": "Autonation Usa Corpus Christi Tx",
           "street": "3115 S Padre Island Dr",
           "city": "Corpus Christi",
           "zip": "78415",
           "state": "TX",
           "latitude": "27.72844",
           "longitude": "-97.414846"
          },
          "media": {
           "photo_links": [
            "https://pictures.dealer.com/a/autonationusacorpuschristi/0560/ac989ccc55be223d2262782ef1b114eex.jpg",
            "https://pictures.dealer.com/a/autonationusacorpuschristi/1901/b22f84537d9c007fb0211af3a7ff134bx.jpg"
           ],
           "photo_links_cached": [
            "https://api.marketcheck.com/v2/image/cache/car/5TFUW5F16KX782196-44367fcc-c2fb/e93cff16913e9d2a75f3197d3ba15c7d?api_key=YOUR_API_KEY",
            "https://api.marketcheck.com/v2/image/cache/car/5TFUW5F16KX782196-44367fcc-c2fb/09a26cb70e879b9b1f34a41f99c6f23b?api_key=YOUR_API_KEY"
           ]
          },
          "extra": {
           "options": [
            "SR5 Package",
            "Rear Under-Seat Storage Compartment"
           ],
           "features": [
            "Lane departure",
            "Wireless phone connectivity"
           ],
           "seller_comments": "The following items have been reconditioned on this vehicle: new brakes! Sr5 Upgrade PackageFederal EmissionsGraphite; Fabric Seat TrimMagnetic Gray MetallicSr5 PackageThis vehicle includes a Money-Back Guarantee* and passed our precise inspection process. Best of all the price you see is the price you pay. No haggling. No back and forth. No pressure. And this price is so good it is guaranteed. *Money-Back Guarantee is valid for 5 days or 250 miles, whichever comes first. Subject to certain term...",
           "high_value_features": [
            {
             "category": "Comfort & Convenience",
             "description": "Coming Home Device",
             "type": "Optional"
            },
            {
             "category": "Safety & Driver Assist",
             "description": "Anti Collision System",
             "type": "Standard"
            }
           ],
           "options_packages": [
            "RE",
            "SP"
           ]
          },
          "dealer": {
           "id": 1079335,
           "website": "autonationusa.com",
           "name": "Autonation Usa Corpus Christi Tx",
           "dealer_type": "independent",
           "dealership_group_name": "AutoNation Inc.",
           "street": "3115 S Padre Island Dr",
           "city": "Corpus Christi",
           "state": "TX",
           "country": "US",
           "latitude": "27.72844",
           "longitude": "-97.414846",
           "zip": "78415",
           "msa_code": "1520",
           "phone": "725-291-5339"
          },
          "mc_dealership": {
           "mc_website_id": 1079335,
           "mc_dealer_id": 1195242,
           "mc_location_id": 1391837,
           "mc_rooftop_id": 517078,
           "mc_dealership_group_id": 231,
           "mc_dealership_group_name": "AutoNation Inc.",
           "mc_sub_dealership_group_id": 231,
           "mc_sub_dealership_group_name": "AutoNation Inc.",
           "mc_category": "Retailer",
           "website": "autonationusa.com",
           "name": "Autonation Usa Corpus Christi Tx",
           "dealer_type": "independent",
           "street": "3115 S Padre Island Dr",
           "city": "Corpus Christi",
           "state": "TX",
           "country": "US",
           "latitude": "27.72844",
[...]
